/**
 * Define action types
 */

//General
export const INIT_REQUEST = 'INIT_REQUEST';
export const LOADING_START = 'LOADING_START';
export const LOADING_STOP = 'LOADING_STOP';
export const NAVIGATE_TO_HOME = 'NAVIGATE_TO_HOME';
export const GO_BACK = 'GO_BACK';
export const NAVIGATE_TO_BOOK_REQUEST_DETAILS =
  'NAVIGATE_TO_BOOK_REQUEST_DETAILS';
export const SHOW_EDIT_MODAL = 'SHOW_EDIT_MODAL';
export const HIDE_EDIT_MODAL = 'HIDE_EDIT_MODAL';
export const SHOW_DELETE_MODAL = 'SHOW_DELETE_MODAL';
export const HIDE_DELETE_MODAL = 'HIDE_DELETE_MODAL';

// Auth
export const LOGIN_REQUEST = 'LOGIN_REQUEST';
export const LOGIN_SUCCESS = 'LOGIN_SUCCESS';
export const LOGIN_FAIL = 'LOGIN_FAIL';

export const LOGOUT_REQUEST = 'LOGOUT_REQUEST';
export const LOGOUT_SUCCESS = 'LOGOUT_SUCCESS';
export const LOGOUT_FAIL = 'LOGIN_FAIL';

// Register

export const REGISTER_REQUEST = 'REGISTER_REQUEST';
export const REGISTER_SUCCESS = 'REGISTER_SUCCESS';
export const REGISTER_FAIL = 'REGISTER_FAIL';

// ResetPassword

export const RESET_PASSWORD_REQUEST = 'RESET_PASSWORD_REQUEST';
export const RESET_PASSWORD_SUCCESS = 'RESET_PASSWORD_SUCCESS';
export const RESET_PASSWORD_FAIL = 'RESET_PASSWORD_FAIL';

// ForgotPassword

export const FORGOT_PASSWORD_REQUEST = 'FORGOT_PASSWORD_REQUEST';
export const FORGOT_PASSWORD_SUCCESS = 'FORGOT_PASSWORD_SUCCESS';
export const FORGOT_PASSWORD_FAIL = 'FORGOT_PASSWORD_FAIL';

//Change Password

export const CHANGE_PASSWORD_REQUEST = 'CHANGE_PASSWORD_REQUEST';
export const CHANGE_PASSWORD_SUCCESS = 'CHANGE_PASSWORD_SUCCESS';
export const CHANGE_PASSWORD_FAIL = 'CHANGE_PASSWORD_FAIL';

// BookHistory

export const BOOK_HISTORY_REQUEST = 'BOOK_HISTORY_REQUEST';
export const BOOK_HISTORY_SUCCESS = 'BOOK_HISTORY_SUCCESS';
export const BOOK_HISTORY_FAIL = 'BOOK_HISTORY_FAIL';

export const BOOK_HISTORY_DETAILS_REQUEST = 'BOOK_HISTORY_DETAILS_REQUEST';
export const BOOK_HISTORY_DETAILS_SUCCESS = 'BOOK_HISTORY_DETAILS_SUCCESS';
export const BOOK_HISTORY_DETAILS_FAIL = 'BOOK_HISTORY_DETAILS_FAIL';

// BookReserve

export const BOOK_RESERVE_REQUEST = 'BOOK_RESERVE_REQUEST';
export const BOOK_RESERVE_SUCCESS = 'BOOK_RESERVE_SUCCESS';
export const BOOK_RESERVE_FAIL = 'BOOK_RESERVE_FAIL';

// BookUnreserve

export const BOOK_UNRESERVE_REQUEST = 'BOOK_UNRESERVE_REQUEST';
export const BOOK_UNRESERVE_SUCCESS = 'BOOK_UNRESERVE_SUCCESS';
export const BOOK_UNRESERVE_FAIL = 'BOOK_UNRESERVE_FAIL';

// SearchBook

export const SEARCH_BOOK_REQUEST = 'SEARCH_BOOK_REQUEST';
export const SEARCH_BOOK_SUCCESS = 'SEARCH_BOOK_SUCCESS';
export const SEARCH_BOOK_FAIL = 'SEARCH_BOOK_FAIL';

//Change book status locally
export const CHNAGE_BOOK_STATUS = 'CHNAGE_BOOK_STATUS';

//Book requests
export const BOOK_REQUEST_LIST_REQUEST = 'BOOK_REQUEST_LIST_REQUEST';
export const BOOK_REQUEST_LIST_SUCCESS = 'BOOK_REQUEST_LIST_SUCCESS';
export const BOOK_REQUEST_LIST_FAIL = 'BOOK_REQUEST_LIST_FAIL';

export const BOOK_REQUEST_DETAILS_REQUEST = 'BOOK_REQUEST_DETAILS_REQUEST';
export const BOOK_REQUEST_DETAILS_SUCCESS = 'BOOK_REQUEST_DETAILS_SUCCESS';
export const BOOK_REQUEST_DETAILS_FAIL = 'BOOK_REQUEST_DETAILS_FAIL';

export const ADD_BOOK_REQUEST_REQUEST = 'ADD_BOOK_REQUEST_REQUEST';
export const ADD_BOOK_REQUEST_SUCCESS = 'ADD_BOOK_REQUEST_SUCCESS';
export const ADD_BOOK_REQUEST_FAIL = 'ADD_BOOK_REQUEST_FAIL';

export const EDIT_BOOK_REQUEST_REQUEST = 'EDIT_BOOK_REQUEST_REQUEST';
export const EDIT_BOOK_REQUEST_SUCCESS = 'EDIT_BOOK_REQUEST_SUCCESS';
export const EDIT_BOOK_REQUEST_FAIL = 'EDIT_BOOK_REQUEST_FAIL';

export const DELETE_BOOK_REQUEST_REQUEST = 'DELETE_BOOK_REQUEST_REQUEST';
export const DELETE_BOOK_REQUEST_SUCCESS = 'DELETE_BOOK_REQUEST_SUCCESS';
export const DELETE_BOOK_REQUEST_FAIL = 'DELETE_BOOK_REQUEST_FAIL';

//UpdateProfileMember
export const GET_PROFILE_DETAILS_REQUEST = 'GET_PROFILE_DETAILS_REQUEST';
export const GET_PROFILE_DETAILS_SUCCESS = 'GET_PROFILE_DETAILS_SUCCESS';
export const GET_PROFILE_DETAILS_FAIL = 'GET_PROFILE_DETAILS_FAIL';

export const UPDATE_PROFILE_DETAILS_REQUEST = 'UPDATE_PROFILE_DETAILS_REQUEST';
export const UPDATE_PROFILE_DETAILS_SUCCESS = 'UPDATE_PROFILE_DETAILS_SUCCESS';
export const UPDATE_PROFILE_DETAILS_FAIL = 'UPDATE_PROFILE_DETAILS_FAIL';
//BookRequestList

export const SET_LAST_BACK_TIME = 'SET_LAST_BACK_TIME';

export const GET_COUNTRY_LIST_REQUEST = 'GET_COUNTRY_LIST_REQUEST';
export const GET_COUNTRY_LIST_SUCCESS = 'GET_COUNTRY_LIST_SUCCESS';
export const GET_COUNTRY_LIST_FAIL = 'GET_COUNTRY_LIST_FAIL';