import React from 'react';
import { View, Text } from 'react-native';
import styles from './Styles';

export interface Props {
  style?: any;
  text?: any;
  textStyle?: any;
}

class NoRecords extends React.PureComponent<Props> {
  render() {
    const { style, textStyle, text } = this.props;
    return (
      <View style={[styles.container, style]}>
        <Text style={[styles.noRecordsTxt, textStyle]}>
          {text || 'No records found'}
        </Text>
      </View>
    );
  }
}

export default NoRecords;
