import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import Colors from '../../../theme/Colors';

const { width, height } = Dimensions.get('window');

export default EStyleSheet.create({
  mainContainer: {
    height: '100%',
    width: '100%',
    backgroundColor: '#000'
  },
  viewStyle: {
    height,
    width: '100%',
    backgroundColor: Colors.white
  },
  viewStyle1: {
    height: '100rem',
    width: '400rem',
    backgroundColor: Colors.blue,
    borderBottomRightRadius: '180rem',
    borderBottomLeftRadius: '180rem',
    alignSelf: 'center'
  },
  viewStyle2: {
    height: '50rem',
    width: '300rem',
    backgroundColor: Colors.white,
    borderColor: Colors.white,
    borderWidth: '1rem',
    flexDirection: 'row',
    marginTop: '40rem',
    borderRadius: '25rem',
    alignSelf: 'center',
    shadowOpacity: '5rem',
    shadowRadius: '5rem',
    shadowOffset: {
      height: '0rem',
      width: '0rem'
    },
    elevation: '5rem'
  },
  viewStyle3: {
    flexDirection: 'row'
  },
  inputStyle: {
    height: '49rem',
    width: '299rem',
    alignSelf: 'center',
    fontFamily: 'Quicksand-Regular'
  },
  TouchableStyle2: {
    flexDirection: 'row'
  },
  imageStyle: {
    height: '30rem',
    width: '30rem',
    marginLeft: '90rem',
    marginTop: '20rem'
  },
  imageStyle2: {
    height: '30rem',
    width: '30rem',
    marginLeft: '40rem',
    marginTop: '20rem'
  },
  iconStyle: {
    fontSize: '24rem',
    color: Colors.blue
  },
  textStyle: {
    fontSize: '18rem',
    fontFamily: 'Quicksand-Medium',
    color: Colors.blue,
    marginLeft: '3rem',
    marginTop: '20rem'
  }
});
